//Version 1.1 updated to include a new random number generator
//
// Credits for the random number generator being used:
// The Central Randomizer 1.3 (C) 1997 by Paul Houle (houle@msc.cornell.edu)
// See:  http://www.msc.cornell.edu/~houle/javascript/randomizer.html

	rnd.today            = new Date();
	rnd.seed             = rnd.today.getTime();

	var deckofCards     = new Array(52);
	var shuffledCards   = new Array(52);
	var cardIndex       = 0;

	var blankCardPicture = "Resources/blankCard.png";

	var aceOfSpades     = "Resources/cards/As.png";
	var kingOfSpades    = "Resources/cards/Ks.png";
	var queenOfSpades   = "Resources/cards/Qs.png";
	var jackOfSpades    = "Resources/cards/Js.png";
	var tenOfSpades     = "Resources/cards/0s.png";
	var nineOfSpades    = "Resources/cards/9s.png";
	var eightOfSpades   = "Resources/cards/8s.png";
	var sevenOfSpades   = "Resources/cards/7s.png";
	var sixOfSpades     = "Resources/cards/6s.png";
	var fiveOfSpades    = "Resources/cards/5s.png";
	var fourOfSpades    = "Resources/cards/4s.png";
	var threeOfSpades   = "Resources/cards/3s.png";
	var twoOfSpades     = "Resources/cards/2s.png";

	var aceOfHearts     = "Resources/cards/Ah.png";
	var kingOfHearts    = "Resources/cards/Kh.png";
	var queenOfHearts   = "Resources/cards/Qh.png";
	var jackOfHearts    = "Resources/cards/Jh.png";
	var tenOfHearts     = "Resources/cards/0h.png";
	var nineOfHearts    = "Resources/cards/9h.png";
	var eightOfHearts   = "Resources/cards/8h.png";
	var sevenOfHearts   = "Resources/cards/7h.png";
	var sixOfHearts     = "Resources/cards/6h.png";
	var fiveOfHearts    = "Resources/cards/5h.png";
	var fourOfHearts    = "Resources/cards/4h.png";
	var threeOfHearts   = "Resources/cards/3h.png";
	var twoOfHearts     = "Resources/cards/2h.png";

	var aceOfClubs      = "Resources/cards/Ac.png";
	var kingOfClubs     = "Resources/cards/Kc.png";
	var queenOfClubs    = "Resources/cards/Qc.png";
	var jackOfClubs     = "Resources/cards/Jc.png";
	var tenOfClubs      = "Resources/cards/0c.png";
	var nineOfClubs     = "Resources/cards/9c.png";
	var eightOfClubs    = "Resources/cards/8c.png";
	var sevenOfClubs    = "Resources/cards/7c.png";
	var sixOfClubs      = "Resources/cards/6c.png";
	var fiveOfClubs     = "Resources/cards/5c.png";
	var fourOfClubs     = "Resources/cards/4c.png";
	var threeOfClubs    = "Resources/cards/3c.png";
	var twoOfClubs      = "Resources/cards/2c.png";

	var aceOfDiamonds   = "Resources/cards/Ad.png";
	var kingOfDiamonds  = "Resources/cards/Kd.png";
	var queenOfDiamonds = "Resources/cards/Qd.png";
	var jackOfDiamonds  = "Resources/cards/Jd.png";
	var tenOfDiamonds   = "Resources/cards/0d.png";
	var nineOfDiamonds  = "Resources/cards/9d.png";
	var eightOfDiamonds = "Resources/cards/8d.png";
	var sevenOfDiamonds = "Resources/cards/7d.png";
	var sixOfDiamonds   = "Resources/cards/6d.png";
	var fiveOfDiamonds  = "Resources/cards/5d.png";
	var fourOfDiamonds  = "Resources/cards/4d.png";
	var threeOfDiamonds = "Resources/cards/3d.png";
	var twoOfDiamonds   = "Resources/cards/2d.png";


	//Begin Randomizing functions
	function rnd() {
		rnd.seed = (rnd.seed*9301+49297) % 233280;
		return rnd.seed/(233280.0);
	}

	function rand(number) {
		return Math.ceil(rnd()*number);
	}
	//end of Randomizing functions


	function initializeDeck(){
		cardIndex = 0;

		cardPic1.src = blankCardPicture;
		cardPic2.src = blankCardPicture;
		cardPic3.src = blankCardPicture;
		cardPic4.src = blankCardPicture;
		cardPic5.src = blankCardPicture;

		deckofCards[0]  = aceOfSpades;
		deckofCards[1]  = twoOfSpades;
		deckofCards[2]  = threeOfSpades;
		deckofCards[3]  = fourOfSpades;
		deckofCards[4]  = fiveOfSpades;
		deckofCards[5]  = sixOfSpades;
		deckofCards[6]  = sevenOfSpades;
		deckofCards[7]  = eightOfSpades;
		deckofCards[8]  = nineOfSpades;
		deckofCards[9]  = tenOfSpades;
		deckofCards[10] = jackOfSpades;
		deckofCards[11] = queenOfSpades;
		deckofCards[12] = kingOfSpades;
		deckofCards[13] = aceOfHearts;
		deckofCards[14] = twoOfHearts;
		deckofCards[15] = threeOfHearts;
		deckofCards[16] = fourOfHearts;
		deckofCards[17] = fiveOfHearts;
		deckofCards[18] = sixOfHearts;
		deckofCards[19] = sevenOfHearts;
		deckofCards[20] = eightOfHearts;
		deckofCards[21] = nineOfHearts;
		deckofCards[22] = tenOfHearts;
		deckofCards[23] = jackOfHearts;
		deckofCards[24] = queenOfHearts;
		deckofCards[25] = kingOfHearts;
		deckofCards[26] = aceOfClubs;
		deckofCards[27] = twoOfClubs;
		deckofCards[28] = threeOfClubs;
		deckofCards[29] = fourOfClubs;
		deckofCards[30] = fiveOfClubs;
		deckofCards[31] = sixOfClubs;
		deckofCards[32] = sevenOfClubs;
		deckofCards[33] = eightOfClubs;
		deckofCards[34] = nineOfClubs;
		deckofCards[35] = tenOfClubs;
		deckofCards[36] = jackOfClubs;
		deckofCards[37] = queenOfClubs;
		deckofCards[38] = kingOfClubs;
		deckofCards[39] = aceOfDiamonds;
		deckofCards[40] = twoOfDiamonds;
		deckofCards[41] = threeOfDiamonds;
		deckofCards[42] = fourOfDiamonds;
		deckofCards[43] = fiveOfDiamonds;
		deckofCards[44] = sixOfDiamonds;
		deckofCards[45] = sevenOfDiamonds;
		deckofCards[46] = eightOfDiamonds;
		deckofCards[47] = nineOfDiamonds;
		deckofCards[48] = tenOfDiamonds;
		deckofCards[49] = jackOfDiamonds;
		deckofCards[50] = queenOfDiamonds;
		deckofCards[51] = kingOfDiamonds;

		for ( i = 0; i < shuffledCards.length; i++ ) {
			shuffledCards[ i ] = "  ";
		}
		displayLine.data = "Shuffle";
		displayLine2.data = "Deal 5 cards";
	}//end of initializeDeck


	function shuffleDeck(){
		for ( i = 0; i < deckofCards.length; i++ ) {
			sRandom = rand( 52 ) -1;
			if ( shuffledCards[ sRandom ] == "  " ) {
				shuffledCards[ sRandom ] = deckofCards[ i ];
			}else{
				sRandom = rand( 52 ) -1;
				while ( shuffledCards[ sRandom ] != "  " ) {
					sRandom = rand( 52 ) -1;
				}
				shuffledCards[ sRandom ] = deckofCards[ i ];
			}
		}
	} //end of shuffleDeck


	function deal5Cards(){
		if ( cardIndex < 52 ){
			dealCard1();
			dealCard2();
			dealCard3();
			dealCard4();
			dealCard5();
		}else{
			displayLine2.data = " ";
		}
	}//end of deal5Cards


	function dealCard1(){
		if ( cardIndex < 52 ){
			cardPic1.src = shuffledCards[ cardIndex ];
			cardIndex++;
		}else{
			cardPic1.src = blankCardPicture;
			displayLine.data = "Shuffle Cards"
			displayLine2.data = " ";
		}
	}//end of dealCard1


	function dealCard2(){
		if ( cardIndex < 52 ){
			cardPic2.src = shuffledCards[ cardIndex ];
			cardIndex++;
		}else{
			cardPic2.src = blankCardPicture;
			displayLine.data = "Shuffle Cards"
			displayLine2.data = " ";
		}
	}//end of dealCard2


	function dealCard3(){
		if ( cardIndex < 52 ){
			cardPic3.src = shuffledCards[ cardIndex ];
			cardIndex++;
		}else{
			cardPic3.src = blankCardPicture;
			displayLine.data = "Shuffle Cards"
			displayLine2.data = " ";
		}
	}//end of dealCard3


	function dealCard4(){
		if ( cardIndex < 52 ){
			cardPic4.src = shuffledCards[ cardIndex ];
			cardIndex++;
		}else{
			cardPic4.src = blankCardPicture;
			displayLine.data = "Shuffle Cards"
			displayLine2.data = " ";
		}
	}//end of dealCard4


	function dealCard5(){
		if ( cardIndex < 52 ){
			cardPic5.src = shuffledCards[ cardIndex ];
			cardIndex++;
		}else{
			cardPic5.src = blankCardPicture;
			displayLine.data = "Shuffle Cards"
			displayLine2.data = " ";
		}
	}//end of dealCard5